Subject: Re: [PATCH] Various new ibm405 DCRN #defines

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Jan 2008 07:58:48 +1100

On Tue, 2008-01-22 at 11:10 -0600, Josh Boyer wrote:
> On Tue, 22 Jan 2008 11:08:38 -0600
> Joshua Williams <[email-masked]> wrote:
> 
> > Benjamin Herrenschmidt wrote:
> > > On Mon, 2008-01-21 at 16:43 -0600, Joshua Williams wrote:
> > >> Various new ibm405 DCRN #defines.
> > >>
> > >>      Signed-off-by: Joshua Williams <[email-masked]>
> > > 
> > > May I ask what for ? :-) Also, it's all arch/ppc, not arch/powerpc...
> > > nothing we want to improve to much on at this stage unless there's a
> > > really good reason.
> > 
> > The 405x #defines were incomplete and this was meant to
> > make them a bit tighter.  Since arch/ppc is in life support
> > mode this can wait until the 405x stuff gets moved over to
> > arch/powerpc.
> 
> Which 405x stuff?  Walnut is moved over already.  Other boards will
> need to be ported by people that have those boards.

I have no objection with adding #define's to arch/powerpc somewhere
though I'd like to avoid having 36 different .h files per processor
type.

Ben.